package com.qmth.teachcloud.exchange.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.exchange.common.bean.dto.syssetting.SettingObject;
import com.qmth.teachcloud.exchange.common.entity.SysSetting;

import java.util.List;

/**
 * <p>
 * 系统设置 服务类
 * </p>
 */
public interface SysSettingService extends IService<SysSetting> {

    SysSetting getData(Long schoolId);

    boolean saveData(List<SettingObject> settingObjects);

    SysSetting getBySchoolId(Long schoolId);

    void flushCache(String type);
}
